[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Tophat 1.4.0 fails to build on i386



Hi Carlos,

thanks for checking new upstream versions.  In case you might not get a
reasonable answer here (and I can't find any without deeper
investigation a good address to foreward questions like this could be 
debian-mentors@lists.debian.org.

Kind regards

       Andreas.

On Fri, Jan 13, 2012 at 01:37:31PM -0500, Carlos Borroto wrote:
> Hi all,
> 
> After updating the unreleased tophat package to a new upstream release
> 1.4.0, the i386 build if failing:
> https://launchpadlibrarian.net/89589761/buildlog_ubuntu-oneiric-i386.tophat_1.4.0-1~oneiric1_FAILEDTOBUILD.txt.gz
> 
> The relevant part seems to be:
> g++ -Wall -Wno-strict-aliasing -march=i686 -O3 -g -O2 -DNDEBUG
> -I/usr/include/seqan -Wall -Wno-strict-aliasing -march=i686 -O3 -g -O2
> -DNDEBUG   -Wl,-Bsymbolic-functions -L/usr/lib -o gtf_to_fasta
> GTFToFasta.o FastaTools.o ../src/libtophat.a libgc.a -lbam -lz -lz
> GTFToFasta.o: In function `GFaSeqGet':
> /build/buildd/tophat-1.4.0/src/GFaSeqGet.h:66: undefined reference to
> `GFaSeqGet::finit(char const*, long, bool)'
> collect2: ld returned 1 exit status
> make[3]: *** [gtf_to_fasta] Error 1
> make[3]: Leaving directory `/build/buildd/tophat-1.4.0/src'
> make[2]: *** [all-recursive] Error 1
> make[2]: Leaving directory `/build/buildd/tophat-1.4.0'
> make[1]: *** [all] Error 2
> make[1]: Leaving directory `/build/buildd/tophat-1.4.0'
> dh_auto_build: make -j1 returned exit code 2
> make: *** [build] Error 2
> dpkg-buildpackage: error: debian/rules build gave error exit status 2
> 
> The same package for amd64 builds without problem.
> https://launchpadlibrarian.net/89809979/buildlog_ubuntu-oneiric-amd64.tophat_1.4.0-1~oneiric2_BUILDING.txt.gz
> 
> I emailed tophat authors, but I was wondering is this is something any
> of you have seen before?
> 
> Also, searching to see if I can find a solution, I found a similar
> situation in this bu report:
> https://bugs.launchpad.net/ubuntu/+source/glib2.0/+bug/121461
> 
> The interesting part that caught my attention was:
> "For whatever reason, on i386, the linker expects to link against
> "unsigned int", but on both i386 and amd64, the libgtkmm-2.4 libraries
> only offer an "unsigned long" version"
> 
> I wonder if this is the problem here.
> 
> Thanks,
> Carlos
> 
> 
> -- 
> To UNSUBSCRIBE, email to debian-med-REQUEST@lists.debian.org
> with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
> Archive: CABgGhBLoTHdjEiSX9S77y3H+TiXA5iAhMyQ7zvcnR74=thjThA@mail.gmail.com">http://lists.debian.org/CABgGhBLoTHdjEiSX9S77y3H+TiXA5iAhMyQ7zvcnR74=thjThA@mail.gmail.com
> 
> 

-- 
http://fam-tille.de


Reply to: